From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/zipp/
Date: Wed, 29 Sep 2021 21:59:46 +0000 (UTC) [thread overview]
Message-ID: <1632952774.2e4fb90c03458c91616dfa4f659694d3548dbe71.mgorny@gentoo> (raw)
commit: 2e4fb90c03458c91616dfa4f659694d3548dbe71
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed Sep 29 21:24:28 2021 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed Sep 29 21:59:34 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2e4fb90c
dev-python/zipp: Bump to 3.6.0
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/zipp/Manifest | 1 +
dev-python/zipp/zipp-3.6.0.ebuild | 43 +++++++++++++++++++++++++++++++++++++++
2 files changed, 44 insertions(+)
diff --git a/dev-python/zipp/Manifest b/dev-python/zipp/Manifest
index c72c5f34bc5..be886d0aa2c 100644
--- a/dev-python/zipp/Manifest
+++ b/dev-python/zipp/Manifest
@@ -1,2 +1,3 @@
DIST zipp-3.5.0.tar.gz 13270 BLAKE2B ba3b6f82ed0f1a902050ee8a89b6876a839d180dc048dd19cd31ddbaf89ec0494b9444f2ac082ed347e3183ccaf2e8342748737c2a29e1a2bbc492a0bc34767c SHA512 676d7e9a7fde386b57a213975121aba015461453f0809a97d39d030b06918a4c54ba1cad21877ddf007560941ae285883098d81d5e6f17eb4636379345b4513d
DIST zipp-3.5.1.tar.gz 13005 BLAKE2B fe50ce8467dcb62a3685a56d3feab0b227832320f4d97ba7eb12a07a66065c1acee8ecb391812e2c772e7c55bbd4966743891f9fd80adf1138b289ed0bc06cd6 SHA512 7043d491a7f5588416973c4ea9d1fb5e47ee7febe423d01ee131662867ed1d616e2df4d2c87ad327ff1b8b297a8b10c6584cfce5de27d09a81d7a7ce4fcc4815
+DIST zipp-3.6.0.tar.gz 13047 BLAKE2B 2e3f5fd0acf9f931f5a74957e9ae29f12a42bc824eb36d769720282ec0413d90b0b45f0524f3b319ce614f43c061ae324fb29f7f2a83e7aeb393283827bca5d1 SHA512 8e21b0a757ed9ebddeca43d3e4b64549dc4e59f781704626b0b2b0a117752b84798a0484cceedd4684ee0459643df4d0f479e64a143c8d9337d2b66951a7b227
diff --git a/dev-python/zipp/zipp-3.6.0.ebuild b/dev-python/zipp/zipp-3.6.0.ebuild
new file mode 100644
index 00000000000..bef59282ca2
--- /dev/null
+++ b/dev-python/zipp/zipp-3.6.0.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( pypy3 python3_{8..10} )
+inherit distutils-r1
+
+DESCRIPTION="Backport of pathlib-compatible object wrapper for zip files"
+HOMEPAGE="https://github.com/jaraco/zipp"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-macos"
+
+BDEPEND="
+ dev-python/toml[${PYTHON_USEDEP}]
+ >=dev-python/setuptools_scm-3.4.2[${PYTHON_USEDEP}]
+ test? ( dev-python/jaraco-itertools[${PYTHON_USEDEP}] )
+"
+
+distutils_enable_sphinx docs \
+ ">=dev-python/jaraco-packaging-3.2" \
+ ">=dev-python/rst-linker-1.9"
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+ # speed tests are flaky by design
+ test_zipp.py::TestPath::test_implied_dirs_performance
+)
+
+EPYTEST_IGNORE=(
+ # Ignoring zipp.py from ${S} avoids ImportPathMismatchError with Python < 3.8
+ # by ensuring only zipp from ${BUILD_DIR} is loaded
+ zipp.py
+)
+
+python_prepare_all() {
+ # dep of disabled test
+ sed -i -e '/func_timeout/d' test_zipp.py || die
+ distutils-r1_python_prepare_all
+}
next reply other threads:[~2021-09-29 21:59 UTC|newest]
Thread overview: 157+ messages / expand[flat|nested] mbox.gz Atom feed top
2021-09-29 21:59 Michał Górny [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-11-11 3:41 [gentoo-commits] repo/gentoo:master commit in: dev-python/zipp/ Michał Górny
2024-09-28 12:04 Michał Górny
2024-09-28 11:41 Sam James
2024-09-14 6:27 Michał Górny
2024-08-31 9:21 Michał Górny
2024-08-31 7:51 Jakov Smolić
2024-08-27 7:39 Michał Górny
2024-08-12 2:50 Michał Górny
2024-08-12 2:50 Michał Górny
2024-07-06 6:35 Michał Górny
2024-07-06 6:26 Sam James
2024-06-17 17:37 Michał Górny
2024-06-05 4:51 Michał Górny
2024-06-01 7:22 Michał Górny
2024-06-01 7:14 Arthur Zamarin
2024-06-01 3:57 Michał Górny
2024-05-27 4:17 Michał Górny
2024-05-17 6:25 Michał Górny
2024-05-16 14:58 Michał Górny
2024-03-30 14:34 Michał Górny
2024-03-15 5:05 Michał Górny
2024-03-13 6:51 Michał Górny
2023-10-24 5:58 Michał Górny
2023-10-23 18:50 Sam James
2023-09-19 3:16 Michał Górny
2023-08-11 19:12 Michał Górny
2023-08-11 19:08 Arthur Zamarin
2023-07-15 3:04 Michał Górny
2023-07-13 5:28 Michał Górny
2023-07-09 3:26 Michał Górny
2023-06-21 12:06 Andrew Ammerlaan
2023-03-28 0:03 Louis Sautier
2023-03-27 19:03 Michał Górny
2023-03-27 17:58 Arthur Zamarin
2023-02-25 9:34 Michał Górny
2023-02-25 7:16 Arthur Zamarin
2023-02-25 6:06 Michał Górny
2023-02-18 7:03 Michał Górny
2023-02-10 6:52 Michał Górny
2023-02-07 9:26 Michał Górny
2023-02-06 4:31 Michał Górny
2023-01-28 7:39 Michał Górny
2022-12-31 10:55 Michał Górny
2022-12-31 10:41 Arthur Zamarin
2022-11-26 6:28 Michał Górny
2022-11-10 19:25 Arthur Zamarin
2022-11-10 19:06 Arthur Zamarin
2022-10-24 5:14 Michał Górny
2022-10-10 14:04 Michał Górny
2022-08-13 11:11 Arthur Zamarin
2022-08-13 11:07 Arthur Zamarin
2022-07-12 15:48 Michał Górny
2022-06-02 8:32 Michał Górny
2022-05-13 16:31 Arthur Zamarin
2022-05-06 13:38 Michał Górny
2022-05-06 12:45 Jakov Smolić
2022-04-03 21:54 Michał Górny
2022-03-27 9:50 Fabian Groffen
2022-03-04 7:18 Michał Górny
2022-02-27 18:52 Michał Górny
2022-02-27 12:23 Jakov Smolić
2022-02-04 12:04 Michał Górny
2022-02-04 12:04 Michał Górny
2022-02-03 20:56 Arthur Zamarin
2022-02-03 10:58 Michał Górny
2022-01-19 22:45 James Le Cuirot
2021-12-31 1:26 Louis Sautier
2021-10-31 20:31 Michał Górny
2021-10-31 17:55 Sam James
2021-09-29 8:16 Michał Górny
2021-08-07 14:52 Michał Górny
2021-08-07 14:43 Sam James
2021-07-03 6:35 Michał Górny
2021-05-22 10:52 Michał Górny
2021-04-05 18:00 Michał Górny
2021-03-05 10:14 Michał Górny
2020-11-28 8:07 Sam James
2020-11-26 8:26 Michał Górny
2020-11-26 6:56 Agostino Sarubbo
2020-11-02 10:34 Michał Górny
2020-10-25 20:23 Louis Sautier
2020-10-25 20:23 Louis Sautier
2020-10-25 0:59 Louis Sautier
2020-10-25 0:59 Louis Sautier
2020-10-16 17:37 Louis Sautier
2020-10-16 17:37 Louis Sautier
2020-10-03 21:41 Louis Sautier
2020-09-23 11:55 Louis Sautier
2020-09-21 15:30 Michał Górny
2020-09-20 15:38 Michał Górny
2020-09-19 7:21 Michał Górny
2020-09-19 0:25 Sam James
2020-09-19 0:17 Sam James
2020-09-19 0:05 Sam James
2020-09-12 22:58 Michał Górny
2020-05-15 17:33 Sergei Trofimovich
2020-05-14 8:03 Agostino Sarubbo
2020-05-13 17:14 Agostino Sarubbo
2020-05-13 17:12 Agostino Sarubbo
2020-05-13 17:11 Agostino Sarubbo
2020-05-13 14:52 Agostino Sarubbo
2020-05-13 13:18 Agostino Sarubbo
2020-05-11 15:34 Mart Raudsepp
2020-03-29 12:22 Michał Górny
2020-03-29 12:22 Michał Górny
2020-03-26 8:29 Agostino Sarubbo
2020-03-25 17:44 Agostino Sarubbo
2020-03-25 16:14 Agostino Sarubbo
2020-03-25 15:25 Agostino Sarubbo
2020-03-25 15:24 Agostino Sarubbo
2020-03-25 15:23 Agostino Sarubbo
2020-03-25 13:50 Agostino Sarubbo
2020-03-25 13:37 Agostino Sarubbo
2020-03-15 12:21 Mikle Kolyada
2020-03-09 11:40 Louis Sautier
2020-03-09 11:40 Louis Sautier
2020-03-03 7:22 Matt Turner
2020-02-27 23:19 Louis Sautier
2020-02-27 23:19 Louis Sautier
2020-02-16 9:30 Louis Sautier
2020-02-16 9:30 Louis Sautier
2020-02-06 9:02 Sergei Trofimovich
2020-02-06 8:34 Sergei Trofimovich
2020-02-06 8:23 Sergei Trofimovich
2020-01-29 11:05 Louis Sautier
2020-01-27 13:15 Louis Sautier
2020-01-23 11:05 Louis Sautier
2020-01-23 11:05 Louis Sautier
2020-01-22 11:48 Louis Sautier
2020-01-15 14:33 Louis Sautier
2019-12-29 21:17 Sergei Trofimovich
2019-12-24 14:21 Mikle Kolyada
2019-12-16 7:54 Agostino Sarubbo
2019-12-16 7:54 Agostino Sarubbo
2019-12-16 7:53 Agostino Sarubbo
2019-12-16 7:52 Agostino Sarubbo
2019-12-16 7:51 Agostino Sarubbo
2019-12-16 7:49 Agostino Sarubbo
2019-12-02 2:48 Aaron Bauman
2019-11-25 12:35 Michał Górny
2019-11-25 8:32 Patrick McLean
2019-11-21 2:02 Patrick McLean
2019-08-26 23:03 Louis Sautier
2019-08-26 23:03 Louis Sautier
2019-08-10 9:08 Sergei Trofimovich
2019-08-02 8:36 Mikle Kolyada
2019-08-02 8:36 Mikle Kolyada
2019-08-02 8:36 Mikle Kolyada
2019-08-02 8:36 Mikle Kolyada
2019-08-01 6:34 Sergei Trofimovich
2019-08-01 6:28 Sergei Trofimovich
2019-07-31 17:44 Sergei Trofimovich
2019-07-29 22:50 Aaron Bauman
2019-07-29 1:07 Georgy Yakovlev
2019-07-13 1:39 Louis Sautier
2019-07-08 9:16 Louis Sautier
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1632952774.2e4fb90c03458c91616dfa4f659694d3548dbe71.mgorny@gentoo \
--to=mgorny@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox